Page MenuHomePhabricator

Statistics for usage of the Thanks extension
Closed, ResolvedPublic

Description

As a normal editor of Wikimedia Commons, I would like to know how many thanks are given.

It could the full list of thanks sorted by day, or a user*daily average, or a daily total average encompassing all users, or something like this.

Thanks! :-)


Context+rules for Google-Code-in-2018 :

Basic SQL skills are needed in this task.

As a normal editor of English Wikipedia (we will work on this wiki, it'll be pretty simple next for who is interested to run this query on other wikis), I would like to know how many thanks are given.

The target is to have a statistic page like this old one: https://en.wikipedia.org/wiki/Wikipedia:Database_reports/Thanks_usage.

Thanks is a Mediawiki extension that allows one user to send a thanks notification to another.

"Replicas" is the common name for the SQL read-only database servers that allow everybody to run queries against publicly available Wikis datas. The thanks logs can be found in the logging table for each wiki. You can use https://quarry.wmflabs.org/ as a simple web interface to execute queries on replicas.

I've created https://quarry.wmflabs.org/query/29486 as an example to how to use the table.

Here is wanted queries :

  • Number of thanks grouped by month
  • Top 10 most thanked
  • Top 10 who were most thanked
  • Top 10 most grateful/thanked pairs

Here is what is wanted step by step.

  1. Create a Wikipedia account if you haven't one already
  2. Login into Phabricator (this site) and/or create an account using your Wikipedia one
  3. Edit the current task description to say that you're working on one of the queries (use "Edit task" at the right and add an "x" cross in the "[ ]" checkbox in the good line)
  4. Connect to https://quarry.wmflabs.org and fork https://quarry.wmflabs.org/query/29486 (the button is at the right of the title)
  5. Try to understand what the sample query does, edit and run it until you've the excepted result.
  6. Add the result table (use "Download > Wikitable" menu in Quarry) to the good section in https://en.wikipedia.org/wiki/Wikipedia:Database_reports/Thanks_usage/Reborn
  7. Finished ! Be sure that you've followed all these steps, then mark it in the GCI interface.

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 1 2018, 5:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Aklapper renamed this task from Statistics for the Thanks extension to Statistics for usage of the Thanks extension.May 1 2018, 3:28 PM

@Edgars2007: Yes, looks great! The only problem is that its data has not been updated since May 2017.

Also, it would be interesting to know what proportion of the thanks are for mainspace (edits in articles rather than discussions).

Also, it would be interesting to know what proportion of the thanks are for mainspace (edits in articles rather than discussions).

There isn't any data what edit (or even page) user thanked for, at least public.

Reference. All those *_namespace or *_page are related to users, not pages.

Vvjjkkii renamed this task from Statistics for usage of the Thanks extension to axdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 1:52 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 30 2018, 5:38 PM
Framawiki edited projects, added Technical-Tool-Request; removed Thanks.EditedAug 30 2018, 5:39 PM

Adding Technical-Tool-Request because it's the simplest way to implement a simple interface for a sql query.
It is possible to build thanks stats from log table present in replicas.

Framawiki updated the task description. (Show Details)EditedSep 1 2018, 10:26 PM
Framawiki added a project: Google-Code-in-2018.

I'll try to mentor it for Google-Code-in-2018 with the scope of writing queries.

Framawiki updated the task description. (Show Details)Oct 25 2018, 4:44 PM
Immogmog123 updated the task description. (Show Details)Oct 25 2018, 5:28 PM
D3r1ck01 removed opentechno as the assignee of this task.Oct 25 2018, 5:49 PM
D3r1ck01 added subscribers: opentechno, D3r1ck01.

Please if you want to assign yourself on a task to mentor, do so on the Google Code-in website: https://codein.google.com not here on Phabricator. Just mention as a comment to the task that you want to mentor it and not assign it yourself. Thanks :)

MrSpecjal updated the task description. (Show Details)
Immogmog123 updated the task description. (Show Details)Oct 25 2018, 9:33 PM
MrSpecjal removed MrSpecjal as the assignee of this task.Oct 26 2018, 7:38 AM
MrSpecjal updated the task description. (Show Details)
MrSpecjal added a subscriber: MrSpecjal.
Immogmog123 updated the task description. (Show Details)Oct 27 2018, 11:46 AM
Framawiki updated the task description. (Show Details)Oct 28 2018, 10:16 AM
Framawiki closed this task as Resolved.Oct 28 2018, 10:33 AM
Framawiki claimed this task.

Hello @Nicolas_Raoul
Google-Code-in-2018 students have created four Quarry sql queries that show statistics about Thanks extension usage on enwiki. It is pretty easy to fork them to get statistics about another wiki.
Links to queries are on https://en.wikipedia.org/wiki/Wikipedia:Database_reports/Thanks_usage/Reborn.
Also note that original queries are on https://en.wikipedia.org/wiki/Wikipedia:Database_reports/Thanks_usage/Configuration (yes, that is the answer to GCI tasks), they are practically identical.

Also, it would be interesting to know what proportion of the thanks are for mainspace (edits in articles rather than discussions).

Namespace id associated to thanks log entries are considerate as private and are not available in database tables.

I don't think it's necessary to create a tool that display created queries, I therefore mark the task as resolved.
@Nicolas_Raoul feel free to ask other statistics requests.

Thanks for working on this!

I understand that you do not want to disclose at what namespace a user has been thanked most.

But I am only interested in the "Commons" namespace.
Would it be possible (maybe independently from Code-in 2018) to know:

  • How many thanks have ever been given on Commons?
  • History of how many thanks are given on Commons each day?

Thanks!
That would allow us to judge whether implementing thanks in the Commons Android app is worth the effort or not (actually meanwhile we have started implementing it, and the app already shows the number of thanks the user has received, but we have to decide whether we want to go further or not).

I understand that you do not want to disclose at what namespace a user has been thanked most.

We (users of public databases, of course not wmf staff themselves) haven't access to namespace column. If you really want that data feel free to create a task here on phab under the DBA project with a precise query to ask database admins to get your data for you.

  • How many thanks have ever been given on Commons?

207 527. https://quarry.wmflabs.org/query/30800

  • History of how many thanks are given on Commons each day?

See https://quarry.wmflabs.org/query/30800 for a table per day.